<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.VideoconfigMapper">

    <resultMap id="videoconfigMap" type="com.tofly.xrtygis.entity.Videoconfig">
        <id property="id" column="ID"/>
        <result property="groupName" column="GROUP_NAME"/>
        <result property="address" column="ADDRESS"/>
        <result property="lgtd" column="LGTD"/>
        <result property="lttd" column="LTTD"/>
        <result property="isshow" column="ISSHOW"/>
        <result property="ip" column="IP"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="port" column="PORT"/>
        <result property="cuser" column="CUSER"/>
        <result property="password" column="PASSWORD"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"/>
    </resultMap>


</mapper>
